"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function process(name, requirement) {
    return (target, method) => {
        if (!target.constructor._addDocumentProcessorObserver) {
            throw new Error(`Cannot add observer for ${method} because ` +
                `DocumentObserver mixin was not applied to processor.`);
        }
        target.constructor._addDocumentProcessorObserver(name, target[method], requirement);
    };
}
exports.process = process;
