import { DocumentProcessor, FieldRequirement, Handler } from ".";
interface SuperDocumentProcessorConstructor {
    observers?: Array<{
        target: string;
        handler: Handler;
        requirement?: FieldRequirement;
    }>;
    new (...args: any[]): DocumentProcessor;
}
interface DocumentProcessorObserverConstructor {
    _addDocumentProcessorObserver: (target: string, handler: Handler) => void;
    new (...args: any[]): {};
}
export declare function DocumentObserver<TBase extends SuperDocumentProcessorConstructor>(Base: TBase): TBase & DocumentProcessorObserverConstructor;
export {};
