import { DocumentProcessor, FieldRequirement } from ".";
interface DocumentProcessorConstructor extends Function {
    _addDocumentProcessorObserver?: (target: string, handler: <T>(ev: T) => string | Promise<string>, requirement?: FieldRequirement) => void;
}
interface DocumentProcessorPrototype extends DocumentProcessor {
    constructor: DocumentProcessorConstructor;
}
declare type HasObservers<P extends string> = {
    [K in P]: (e: any) => string | Promise<string>;
};
export declare function process(name: string, requirement?: FieldRequirement): <P extends string, T extends DocumentProcessorPrototype & HasObservers<P>>(target: T, method: P) => void;
export {};
