export declare abstract class Provider {
    protected document: any;
    abstract load(): Promise<void>;
    fetch(key: string): any;
}
export declare class JSONProvider extends Provider {
    constructor(content: any);
    load(): Promise<void>;
}
export declare class JSONFileProvider extends Provider {
    private path;
    constructor(path: string);
    load(): Promise<void>;
}
export declare class TomlFileProvider extends Provider {
    private path;
    constructor(path: string);
    load(): Promise<void>;
}
